# BlendDataMeshes(bpy_struct)

base class — `bpy_struct`

class `bpy.types.``BlendDataMeshes`(bpy_struct)

  Collection of meshes

  `is_updated`

    Type: | boolean, default False, (readonly)

  `new`(name)

    Add a new mesh to the main database

    Parameters: | name (string, (never None)) – New name for the data-block
    Returns: | New mesh data-block
    Return type: | `Mesh`

  `new_from_object`(scene, object, apply_modifiers, settings, calc_tessface=True, calc_undeformed=False)

    Add a new mesh created from object with modifiers applied

    Parameters: | scene (`Scene`, (never None)) – Scene within which to evaluate modifiers object (`Object`, (never None)) – Object to create mesh from apply_modifiers (boolean) – Apply modifiers settings (enum in [‘PREVIEW’, ‘RENDER’]) – Modifier settings to apply `PREVIEW` Preview, Apply modifier preview settings. `RENDER` Render, Apply modifier render settings. calc_tessface (boolean, (optional)) – Calculate Tessellation, Calculate tessellation faces calc_undeformed (boolean, (optional)) – Calculate Undeformed, Calculate undeformed vertex coordinates
    Returns: | Mesh created from object, remove it if it is only used for export
    Return type: | `Mesh`

  `remove`(mesh)

    Remove a mesh from the current blendfile

    Parameters: | mesh (`Mesh`, (never None)) – Mesh to remove

  `tag`(value)

    tag

    Parameters: | value (boolean) – Value

Inherited Properties

`bpy_struct.id_data` |

Inherited Functions

`bpy_struct.as_pointer` `bpy_struct.driver_add` `bpy_struct.driver_remove` `bpy_struct.get` `bpy_struct.is_property_hidden` `bpy_struct.is_property_readonly` `bpy_struct.is_property_set` `bpy_struct.items` | `bpy_struct.keyframe_delete` `bpy_struct.keyframe_insert` `bpy_struct.keys` `bpy_struct.path_from_id` `bpy_struct.path_resolve` `bpy_struct.property_unset` `bpy_struct.type_recast` `bpy_struct.values`

References

`BlendData.meshes` |